careCycle
Appointments

Fetch a single appointment by id

GET
/v2/appointments/{id}

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Appointment ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/appointments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "startTime": "2019-08-24T14:15:22Z",
  "endTime": "2019-08-24T14:15:22Z",
  "timezone": "string",
  "status": "scheduled",
  "title": "string",
  "appointmentMode": "phone_call",
  "appointmentConfigId": "1c7d76df-b376-45c7-a6f4-7e4bd224ddc2",
  "bookingSource": "ai_assistant",
  "originCallId": "a26be112-6fc9-4ff6-b400-9e5fc72da50e",
  "confirmedAt": "2019-08-24T14:15:22Z",
  "additionalNotes": "string",
  "calendarEventId": "string",
  "location": "string",
  "meetingUrl": "string",
  "cancelledAt": "2019-08-24T14:15:22Z",
  "cancellationReason": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "customer": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "firstName": "string",
    "lastName": "string",
    "callerId": "string"
  },
  "member": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "image": "string"
  },
  "appointmentConfig": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "campaign": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "callbackAttempt": {
    "callId": "4722cd84-0ec7-4ef5-8c34-1b0150f45f53",
    "attemptedAt": "2019-08-24T14:15:22Z",
    "status": "attempted",
    "label": "string"
  }
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}